Bug 1505932 - [RFE] Show "Static Query" in Job invocations overview
Summary: [RFE] Show "Static Query" in Job invocations overview
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Remote Execution
Version: 6.2.12
Hardware: All
OS: All
medium
medium vote
Target Milestone: 6.6.0
Assignee: Aditi Puntambekar
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks: 1122832
TreeView+ depends on / blocked
 
Reported: 2017-10-24 15:08 UTC by Beat Rubischon
Modified: 2019-10-22 12:46 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-foreman_remote_execution-1.6.6-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 12:46:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 21595 None None None 2017-11-08 08:54:22 UTC
Red Hat Knowledge Base (Solution) 3223371 None None None 2017-10-24 15:18:58 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:46:56 UTC

Description Beat Rubischon 2017-10-24 15:08:49 UTC
Description of problem:

Running the same job against different targets results in a confusing overview page. Adding the "Static Query" would give at least a hint of the targets of historic jobs.

Version-Release number of selected component (if applicable):

Satellite 6.2.12

How reproducible:

always

Steps to Reproduce:
1. Run a job against "name = hosta"
2. Run a job against "name = hostb"

Actual results:

Both jobs look identical on the "Job invocations" list https://satellite/job_invocations

Expected results:

Additional column shows target of the jobs.

Additional info:

Comment 4 Adam Ruzicka 2017-11-08 08:54:21 UTC
Created redmine issue http://projects.theforeman.org/issues/21595 from this bug

Comment 5 Peter Vreman 2019-05-20 10:33:27 UTC
Confirmed this is fixed in already in 6.5 
Sat6.5.0 has tfm-rubygem-foreman_remote_execution-1.6.7-19.el7sat.noarch

Comment 6 Peter Ondrejka 2019-06-17 14:27:22 UTC
Verified in Satellite 6.6 snap 8, search query is now displayed in job invocations overview

Comment 9 errata-xmlrpc 2019-10-22 12:46:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.